package com.xinelu.familydoctor.mapper;

import com.xinelu.familydoctor.entity.EvaluateSurvey;

import java.util.List;

/**
* @author gaoyu
* @description 针对表【evaluate_survey(自评问卷表)】的数据库操作Mapper
* @createDate 2023-10-11 09:51:11
* @Entity com.xinelu.familydoctor.entity.EvaluateSurvey
*/
public interface EvaluateSurveyMapper {

    List<EvaluateSurvey> findList(EvaluateSurvey entity);

    /**
     * 获取问卷
     * @param surveySubject 问卷主题
     * @return {@link com.xinelu.familydoctor.entity.EvaluateSurvey}
     * @author gaoyu
     * @date 2023-10-12 17:22
    */
    EvaluateSurvey getSurvey(String surveySubject);

    int insert(EvaluateSurvey record);

    int update(EvaluateSurvey record);

}
